> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-3-0/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/configuring-labels-and-annotations-for-the-connectware-agent-helm-chart.md).

# Configuring Labels & Annotations for the connectware-agent Helm Chart

You can add Kubernetes labels and annotations to your agents. There are three pairs of values, that control where labels and annotations are added:

| Value                                   | Added to    |
| --------------------------------------- | ----------- |
| `annotations`, `labels`                 | StatefulSet |
| `podAnnotations`, `podLabels`           | Pod         |
| `service.annotations`, `service.labels` | Service     |

All values exist for `protocolMapperAgentDefaults` and in per-agent `protocolMapperAgents` entries. When you specify them in both contexts, both will be added to the Kubernetes objects.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgents:
  - name: bender-robots
    connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
    annotations:
      tld.mycompans.costcenter: '12345'
    labels:
      mycompany.tld/environment: production
    podAnnotations:
      tld.mycompans.costcenter: '12345'
    podLabels:
      mycompany.tld/environment: production
    service:
      annotations:
        tld.mycompans.costcenter: '12345'
      labels:
        mycompany.tld/environment: production
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-3-0/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/configuring-labels-and-annotations-for-the-connectware-agent-helm-chart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
